summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-10-11 21:50:26 +0200
committerHolger Levsen <holger@layer-acht.org>2014-10-11 21:50:26 +0200
commitaa00876a8ed562103298169a2487e2a10fc651a4 (patch)
tree94d54f123dc0d6458b45686e1f214c4b1f295070
parent9648e975068663c12397170d169f4a1470398bb5 (diff)
downloadjenkins.debian.net-aa00876a8ed562103298169a2487e2a10fc651a4.tar.xz
reproducible: increase timeout for accessing to 1m and fail if sources db cannot be updated properly
-rwxr-xr-xbin/reproducible_build.sh1
-rwxr-xr-xbin/reproducible_setup.sh2
2 files changed, 2 insertions, 1 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index c1a403ab..6e9aa19c 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -52,6 +52,7 @@ update_sources_table() {
if [ $P_IN_TMPFILE -ne $P_IN_SOURCES ] ; then
echo "DEBUG: P_IN_SOURCES = $P_IN_SOURCES"
echo "DEBUG: P_IN_TMPFILE = $P_IN_TMPFILE"
+ exit 1
fi
sqlite3 -init $INIT ${PACKAGES_DB} "REPLACE INTO source_stats VALUES (\"sid\", \"${P_IN_SOURCES}\")"
rm $CSVFILE # $TMPFILE is still being used
diff --git a/bin/reproducible_setup.sh b/bin/reproducible_setup.sh
index 7804f7d7..f56b0d11 100755
--- a/bin/reproducible_setup.sh
+++ b/bin/reproducible_setup.sh
@@ -30,7 +30,7 @@ fi
# 30 seconds timeout when trying to get a lock
INIT=/var/lib/jenkins/reproducible.init
cat >/var/lib/jenkins/reproducible.init <<-EOF
-.timeout 30000
+.timeout 60000
EOF
# blacklist some packages